version: "3.8"

services:
  web:
    image: thecoopcloud/hexbomb.gay:latest
    networks:
      - proxy
    deploy:
      labels:
        - "traefik.enable=true"
        - "traefik.docker.network=proxy"
        - "traefik.http.services.hexbomb-gay.loadbalancer.server.port=80"
        - "traefik.http.routers.hexbomb-gay.rule=Host(`www.hexbomb.gay`, `hexbomb.gay`)"
        - "traefik.http.routers.hexbomb-gay.entrypoints=web-secure"
        - "traefik.http.routers.hexbomb-gay.tls.certresolver=production"

networks:
  proxy:
    external: true